fix compilation: dm-mpath 'mpio->pgpath' in errmesg
--- diff/drivers/md/dm-mpath.c	2005-04-21 21:54:03.000000000 +0100
+++ source/drivers/md/dm-mpath.c	2005-04-21 21:53:57.000000000 +0100
@@ -972,13 +972,13 @@
 	if (err_flags & MP_FAIL_PATH) {
 		DMWARN("dm-multipath: Error initialising %sPG: failing path %s",
 		       pg->bypassed ? "bypassed " : "",
-		       mpio->pgpath ? mpio->pgpath->path.dev->name : "NULL");
+		       pgpath->path.dev->name);
 		fail_path(pgpath);
 	}
 	
 	if ((err_flags & MP_BYPASS_PG) && !pg->bypassed) {
 		DMWARN("dm-multipath: Error initialising PG on %s: "
-		       mpio->pgpath ? mpio->pgpath->path.dev->name : "NULL");
+		       pgpath->path.dev->name);
 		bypass_pg(m, pg, 1);
 	}
 
